package org.nl.acs.device_driver.basedriver.paint_conveyor;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device.enums.DeviceType;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 油漆线
 */
@Service
public class PaintConveyorDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "paint_conveyor";
    }

    @Override
    public String getDriverName() {
        return "油漆线";
    }

    @Override
    public String getDriverDescription() {
        return "油漆线";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new PaintConveyorDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return PaintConveyorDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.conveyor);
        return types;
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }

    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
